Train

After you add an ML backend, call this API with the ML backend ID to start training with already-labeled tasks. Get the ML backend ID by [listing the ML backends for a project](https://labelstud.io/api/#operation/api_ml_list).

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Path parameters

idintegerRequired
A unique integer value identifying this ML backend.

Request

This endpoint expects an object.
use_ground_truthbooleanOptional
Whether to include ground truth annotations in training

Response

Training has successfully started.

Errors